call spMante_Guia_Anular(3,1);

DROP PROCEDURE IF EXISTS spMante_Guia_Anular;
CREATE PROCEDURE spMante_Guia_Anular(  
	varGuia   bigint,
  varUsuario  int
  )
BEGIN
  -- DISTRIBUCIONES MENFAR
  DECLARE varNumGuia  varchar(20);
  
  select nro_documento into varNumGuia
  from _sv_guia
  where id_guia = varGuia;
  
  -- CAMBIAMOS A ESTADO ANULADO=AN LA GUIA SELECCIONADA
  update _sv_guia 
  set estado = 'AN', subtotal=0, igv=0, total=0, _update=NOW(), _user_update=varUsuario 
  where id_guia = varGuia;    
  
  -- QUITAMOS LA GUIA RELACIONADO EN EL DOCUMENTO DE VENTA
  update _sv_venta
  set nro_guia = NULL, _update = NOW(), _user_update = varUsuario
  where nro_guia = varNumGuia;
    
END;